=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: NVIDIA MFT Apps team <akiselman-org@nvidia.com>
Build-Depends:
    autoconf,
    automake,
    autotools-dev,
    bzip2,
    debhelper (>= 9.0),
    dkms,
    dpkg-dev,
    g++,
    git,
    libexpat1-dev,
    libibmad-dev,
    libibverbs-dev,
    liblzma-dev,
    libssl-dev,
    libtool,
    make,
    pkg-config,
    zlib1g-dev
Standards-Version: 4.6.1
Homepage: https://www.nvidia.com/networking/
Vcs-Git: https://github.com/Mellanox/mstflint.git

Package: mstflint
Architecture: any
Depends: ${misc:Depends}
Description: mstflint - Mellanox firmware burning tools
 This package contains firmware manipulation tools for network adapters based on Mellanox Technologies chips.

Package: mstflint-dkms
Section: kernel
Priority: optional
Architecture: all
Depends: dkms, make, ${misc:Depends}
Recommends: linux-headers-arm64 | linux-headers-powerpc | linux-headers-ppc64 | linux-headers-ppc64le | linux-headers-amd64 | linux-headers-generic | linux-headers
Description: DKMS support for mstflint kernel modules
 This package provides integration with the DKMS infrastructure for automatically building out of tree kernel modules.
 .
 This package contains the source to be built with dkms.
